using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using System.Data;
using VBNET = Microsoft.VisualBasic;
using Microsoft.VisualBasic.CompilerServices;
using System.Linq;
using System.Collections.Generic;

namespace FMStocks_DB
{
   public class Version
   {
      private const string m_modName = "FMStocks_DB.Version";
      public string ConnectionString()
      {
         string ConnectionString = "";

         DBHelper dbh = null;
         try
         {
            gmRTL.Core.GlobalException.Clear();
            dbh = new FMStocks_DB.DBHelper();
            ConnectionString = dbh.GetConnectionString();
            dbh = null;
            return ConnectionString;

         }
         catch(System.Exception exc)
         {
            gmRTL.Core.GlobalException.Initialize(exc);
            Helpers.RaiseError(m_modName,"ConnectionString()","",0,false);
         }
         return ConnectionString;
      }
      public string AppVersion()
      {
         return Helpers.GetVersionNumber();
      }
      public string ComputerName()
      {
         return Helpers.GetComputerName();
      }
   }
}
